Brivio API reference
Costs

Record a SaaS subscription; company_id must belong to this org (404 otherwise). Honours Idempotency-Key. (scope: costs:write)

POST
/costs/subscriptions

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Request Body

application/json
  1. body
company_id*string
Formatuuid
vendor*string
Length1 <= length <= 120
plan?|
Lengthlength <= 120
cadence?string
Default"monthly"
Value in"monthly""quarterly""yearly""usage"
amount_minor*integer
Range0 <= value
currency*string

ISO 4217

Match^[A-Z]{3}$
next_renewal?|
Formatdate
notes?|
Lengthlength <= 2000

Response Body

OK

application/json
  1. response
data*
error*null
curl -X POST "https://example.com/costs/subscriptions" \  -H "Content-Type: application/json" \  -d '{    "company_id": "b2e6a1c3-1a5e-44ae-a8fd-81f76fd715cf",    "vendor": "string",    "amount_minor": 0,    "currency": "string"  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"  },  "error": null}